/* Include Google Font */
@import url('https://fonts.googleapis.com/css2?family=Special+Elite&display=swap');

body {
    font-family: 'Special Elite', cursive;
    background-image: url('../images/background.jpg'); /* Change the path to your background image */
    background-size: initial;
    margin: 0;
    padding: 0;
    color: #e8e8e8;
    background-size: contain;
    /*
    background-position: center top;
    background-size: contain;
    */
}

.container {
    width: 80%;
    max-width: 800px;
    margin: auto;
    padding: 20px;
}

/* Specific container for index.php */
.index-container {
    max-width: 650px;
}

h1 {
    font-family: 'Special Elite', cursive;
    text-align: center;
}

form {
    display: flex;
    flex-direction: column;
    align-items: center;
}

form.guess-form {
    background-color: #570707f0;
    padding: 20px;
    border-radius: 10px;
}

/* General labels */
label {
    display: inline-block;
    margin-top: 18px;
    font-weight: bold;
}

/* Labels on index.php */
.index-form label {
    display: inline-block;
    margin-top: 25px;
    margin-bottom: 15px;
    font-weight: bold;
    font-size: 20px;
}

/* Input fields and textareas */
input[type="text"],
textarea,
select {
    width: 98%;
    /*min-width: 550px;*/
    padding: 10px;
    margin: 0 auto 20px;
    font-size: 16px;
    border-radius: 6px;
    font-family: 'Special Elite', cursive;
}

/* Input fields on index.php */
.index-form input[type="text"],
.index-form textarea {
    font-size: 20px;
    line-height: 30px;
    height: 30px;
}

/* Buttons */
button {
    line-height: 20px;
    padding: 12px 20px 10px !important;
    margin: 20px;
    font-size: 16px;
    border-radius: 6px;
    font-family: 'Special Elite', cursive;
}

/* Table styles */
table {
    width: 100%;
    border-collapse: collapse;
}

thead th {
    /*
    border-bottom: 2px solid #000;
    padding: 10px;*/
    border-bottom: 1px solid #ffffff5c;
    padding: 10px;
    padding-bottom: 11px;
}

tbody td {
    /*padding: 10px; */
    padding: 20px 0 10px;
    vertical-align: middle;
}

.poster-group {
    display: flex;
    cursor: pointer;
}

.poster-group img {
    width: 50px;
    height: auto;
    margin-right: 5px;
    cursor: pointer;
}

.thumbnail {
    width: 50px;
    cursor: pointer;
}

/* Modal styles */
.modal {
    display: none;
    position: fixed;
    z-index: 1000;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0,0,0,0.8);
}

.modal-content {
    background-color: #fff;
    margin: 5% auto;
    padding: 20px;
    width: 80%;
    max-width: 800px;
    position: relative;
    border-radius: 10px; /* Added border-radius */
    color: #111;
}

#modal-close {
    position: absolute;
    top: 10px;
    right: 25px;
    color: #aaa;
    font-size: 30px;
    font-weight: bold;
    cursor: pointer;
}

/* Modal grid styles */
.modal-grid-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 25px; /* Added margin-top */
}

.modal-grid-row {
    display: flex;
    width: 100%;
    margin-bottom: 10px;
}

.modal-grid-cell {
    flex: 1;
    display: flex;
    justify-content: center;
    align-items: center;
}

.modal-number-cell {
    background-color: transparent; /* Changed background color */
    border: none; /* Removed border */
    height: 390px; /* Adjusted height */
    font-size: 118px; /* Increased font size */
    font-weight: bold;
}

.modal-poster-cell {
    border: none; /* Removed border */
    height: 390px; /* Adjusted height to match number cell */
}

.modal-poster-cell img {
    max-width: 100%;
    max-height: 100%;
    object-fit: contain;
}

.modal-descriptions {
    margin: 25px 8px; /* Added margin */
    text-align: left; /* Set text alignment */
}

.modal-descriptions p {
    font-size: 20px; /* Increased font size */
    text-align: left; /* Set text alignment */
}

.success {
    color: green;
    text-align: center;
}

.error {
    color: red;
}

/* Entry styling on admin page */
.entry {
    border: 1px solid #ccc;
    padding: 15px;
    margin-bottom: 20px;
    width: 100%;
    min-width: 1250px;
    background: #ffffff3b; /* Added background color */
    border-radius: 20px; /* Added border-radius */
}

.poster-entry {
    display: flex;
    flex-direction: column;
    margin-bottom: 10px;
}

.remove-entry {
    background-color: #e74c3c;
    color: #fff;
    border: none;
    cursor: pointer;
    padding: 5px 10px;
    border-radius: 6px;
    font-family: 'Special Elite', cursive;
}

#add-entry {
    background-color: #2ecc71;
    color: #fff;
    border: none;
    cursor: pointer;
    padding: 10px 20px;
    border-radius: 6px;
    font-family: 'Special Elite', cursive;
}

input[type="password"] {
    width: 98%;
    min-width: 550px;
    padding: 10px;
    margin: 0 auto 20px;
    font-size: 16px;
    border-radius: 6px;
    font-family: 'Special Elite', cursive;
}

.login-form {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 100px;
}

.login-form input[type="password"] {
    margin-top: 20px;
}

.login-form button {
    margin-top: 20px;
}